{% extends 'admin/admin.html.twig' %}

{% block title %} Catégories {% endblock %}

{% block body %}

    <p>
        <a class="btn btn-primary" href="{{path('admin.category.create')}}"> Cat +</a>
    </p>

    <table class="table">
        <thead>
            <tr>
                <th>Nom</th>
                <th>recettes</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            {% for cat in categories %}
            <tr>
                <td>{{ cat.name }}</td>
                <td></td>
                <td>
                    <a class="btn btn-primary" href="{{ path('admin.category.edit', {id: cat.id}) }}">Edit</a>
                    <form action="{{ path('admin.category.delete', { id: cat.id }) }}" method="post">
                        <input type="hidden" name="_method" value="DELETE">
                        <button type="submit" class="btn btn-danger btn-sn">Supprimer</button>
                    </form>
                </td>
            </tr>

            {% endfor %}
        </tbody>
    </table>
{% endblock %}